moeoComparator(3)

NAME
moeoComparator - Functor allowing to compare two solutions.

SYNOPSIS

#include <moeoComparator.h>

Inherits eoBF< A1, A2, R >< const const MOEOT &, MOEOT &, bool >.

Inherited by moeoDiversityThenFitnessComparator< MOEOT >, moeoFitnessThenDiversityComparator< MOEOT >, moeoObjectiveComparator< MOEOT >, and moeoOneObjectiveComparator< MOEOT >.

Detailed Description

  template<class MOEOT> class moeoComparator< MOEOT >
Functor allowing to compare two solutions.

Definition at line 22 of file moeoComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.